API Explorer 1 endpoints

Validate a user

PUT /obp/v7.0.0/management/users/USER_ID

OBPv5.1.0-validateUserByUserId Roles: CanValidateUser User

Manually validate a User by USER_ID.

This is an administrative endpoint that marks a user's account as validated (i.e. sets is_validated to true).

This is useful when an administrator needs to validate a user on their behalf, for example if the user did not receive the validation email, or if the email validation token has expired.

For self-service email validation, see the Validate User Email endpoint (POST /users/email-validation).

Authentication is Required and the user must have the canValidateUser role.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1

JSON response body fields (1)
is_validated
is_validated
Example success response
{
  "is_validated": true
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20057: User not found by userId.
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv5.1.0 validateUserByUserId Originally /obp/v5.1.0/management/users/USER_ID